/*
 * Village of Pugwash
 * J4 Admin Template (Atum) Customisations
 * a variety of minor and subtle size changes, hilites and masking reducing
 * some of the glare & "super-sized" look & feel
 * @RussW 18-Aug-2021
 */ 

@media only screen and (max-width: 730px) {
	header {height: 220px;}
	.site .dj-megamenu-wrapper {position: absolute; top: 188px; left: 50%; transform: translate(-50%, -50%); z-index: 10; width: 107px}
	.site #mod-custom119 {position: absolute; top: 115px; left: 50%; transform: translate(-50%, -50%); width: 315px;}
	.site #mod-custom129 {position: absolute; top: 25px; left: 50%; transform: translate(-50%, -50%); width: 315px;}
	.site #___gcse_0 {width: 310px;}
}




.site .dj-mobile-open-btn {width: 105px !important;}

.container-sidebar-left {
  display: flex;
  align-items: flex-start;
}

.sidebar-left {
  position: sticky;
  top: 20px; /* distance from top of viewport */
  align-self: flex-start;
  height: fit-content; /* or a fixed height */
}

.main-content {
  flex: 1;
}

.footer {
  padding: 2rem;
}

.introlinks a {
    color: #000;
    text-decoration: none;
}

.introlinks li {
    list-style: none;
    margin: 8px;
    padding: 5px;
    background: #f8f8f8;
    max-width: 284px;
	border: 1px solid #cecbcb;
}

.introlinks li:hover, .introlinks li:focus {border: 1px solid #2f5e64; background: #d9f0f3;}


ul.introlinks {
    margin: 0 !important;
    padding: 0 !important;
}


.introlinks {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.introlinks h2 {margin: .3em 0; text-align: center; font-size: 1.6em;}

.card-body

.mod-custom {
    position: relative;
}

.dj-megamenu-wrapper {position: absolute; top: 90px; right: 10px;}
#mod-custom129 {position: absolute;right: 10px; top: -10px;}
#___gcse_0 {width: 400px;}

.site .main-bottom {margin: 0 0 40px 0;}


.site .footer {background-image: none; background-color: #232c53;}
/*blog*/
.com-content-category-blog__item {border: 1px solid #efecec; margin: 25px 0 0 0;}
.com-content-category-blog__item .item-content {padding: 8px; background-color: rgba(250,250,250,1)}

.site .formResponsive input, .site .formResponsive textarea {width: 300px;}

.container-below-top {position: relative;}
#mod-custom130 {position: absolute;  right: 10px; top: 50px; width: 350px;}

.container-header {background-color: #fff; background-image: none;}
.container-header .container-nav {justify-content: center; background: #daeaf5; padding: 0}
.site .dj-megamenu-default li ul.dj-submenu>li>a {line-height: normal; padding: 5px 20px;}
.site .sidebar-left .mod-list li {padding: 0 .25em;}
.sidebar-left .nav-item.current.active > a {background: #cce6f7; color: #2A427E}
.sidebar-left .nav-item a:hover, .sidebar-left .nav-item a:focus {background: #ebf7ff;  text-decoration: none;}
.mod-list li a {text-decoration: none;}
.mod-list li.active>a {text-decoration: none;} 

.container-below-top ul.secondary {position: absolute; top: 10px; right: 10px;}
.container-below-top ul.secondary a {color: #000;}
.container-below-top ul.secondary a:hover, .container-below-top ul.secondary a:focus {color: #4284b0;}
.itemid-101 ul.secondary .item-101 {display: none;}

.breadcrumb {background-color: #f2faff; border: 1px solid #ccdbe4; border-radius: 4px;}

.customlogo p span {position: absolute; left: -10000px; top: auto; width: 1px; height: 1px; overflow: hidden;}

/* external links */
.container-component a[href^="http:"], .container-component a[href^="https:"] {padding: 0 11px 0 0; background: url(../images/external.gif) top right no-repeat; margin-left: 2.3px;}
.com-content-article__body a[href^="http:"], .com-content-article__body a[href^="https:"] {padding: 0 11px 0 0; background: url(../images/external.gif) top right no-repeat; margin-left: 2.3px;}
 
.site .dj-megamenu-clean li ul.dj-submenu > li > a {
    line-height: 16px;
    padding: 6px 20px;
   }

.sidebar-left li.parent > a:after {
    content: "   \f107";
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
}

.sidebar-left a { transition: padding-left .25s ease-in-out; display: block;}
.sidebar-left a:hover {padding-left: .2rem;}

/* Site Map */
main #osmap #osmap-menu-uid-mainmenu {display: none;}
main #osmap a a[href^="http:"], main #osmap a[href^="https:"] {background: none;}
main #osmap li {list-style: none;}

.itemid-196 main section {border: #efefef 1px solid; width: 45%; margin: 15px; padding: 8px; background-color: rgba(249,249,249,1.00)}
.itemid-196 main .councillors {display: flex; flex-wrap: wrap;}
.councillors .council {font-size: 1.25em;}


.org-name {width: 30%;}
.org-phone {width: 20%;}
.org-address {width: 30%;}
.org-web {width: 20%;}
table td a {word-break: break-all; overflow-wrap: anywhere;}


a {text-decoration: underline; text-decoration-thickness: max(1px, .0625rem);     text-underline-offset: .1578em;  word-wrap: break-word;  overflow-wrap: break-word;}
a:hover, a:focus {text-decoration-thickness: max(3px, .1875rem, .12em); text-decoration-skip-ink: none;}


h1, h2, h3, h4, h5 h6 {font-family: "futura-pt", sans-serif;font-style: normal;}
h1 {font-size: 2.5rem;  line-height: 1.04; margin-bottom: 1em; font-weight: 700;}
h2 {font-size: 1.9rem;  line-height: 1.1111111111;  margin:1.7em 0 .5em 0; font-weight: 400;}
h3 {font-size: 1.7rem;  line-height: 1.3157894737; font-weight: 700; font-weight: 400;}
h4 {font-size: 1.3rem; line-height: 1.3157894737; font-weight: 700; font-weight: 400;}
main p,  main td {font-size: 1.17rem; line-height: 1.3157894737; font-family: "source-sans-pro", sans-serif; font-weight: 400; font-style: normal;}

main li {line-height: 1.615789; font-size: 1.17rem;}



/* Tables */
.item-page table, .blog table {border-collapse: collapse; border-spacing: 0; margin-bottom: 1.5em; width: 100%;}
.item-page tbody tr, .blog tbody tr {border: 1px solid #eee;}
.item-page th, .item-page td, .item-page caption, .blog th, .blog td, .blog caption {padding: 0.25em .5em; text-align: left;}
.item-page tbody tr:nth-child(odd) td, .blog tbody tr:nth-child(odd) td {background-color: rgba(250,250,250,1)}


.videoWrapper {position: relative; padding-bottom: 56.25%; padding-top: 25px; height: 0; margin: 0 auto 20px auto;}
.videoWrapper iframe {position: absolute; top: 0; left: 0; width: 100%; height: 100%;}

blockquote {background: #f9f9f9; border-left: 10px solid #ccc; margin: 1.5em 10px; padding: 0.5em 10px;}
blockquote:before {color: #ccc; content: "»"; font-size: 4em; line-height: 0.3em; margin-right: 0.25em; vertical-align: -0.08em;}
blockquote p {display: inline;}

sr-only, .itemid-101 h1 {position:absolute; left:-10000px; top:auto; width:1px; height:1px; overflow:hidden;}





 /* JCE Editor styles */ 
.item-page .image_right, .blog .image_right  {float:right; margin: 0 0 15px 15px;}
.item-page .image_right_drop_shadow, .blog .image_right_drop_shadow  {float:right; margin: 0 0 15px 15px; -webkit-box-shadow: 0px 0px 9px 1px rgba(0,0,0,0.45); 
box-shadow: 0px 0px 9px 1px rgba(0,0,0,0.45);}
.item-page .image_left, .blog .image_left {float:left; margin: 0 15px 15px 0;} 
.item-page .image_left_drop_shadow, .blog .image_left_drop_shadow  {float:left; margin: 0 15px 15px 0; -webkit-box-shadow: 0px 0px 9px 1px rgba(0,0,0,0.45); 
box-shadow: 0px 0px 9px 1px rgba(0,0,0,0.45);}
.item-page .image_right_border, .item-content .image_right_border, .blog .image_right_border  {float:right; margin: 0 0 15px 15px; padding: 3px; border: 1px solid #aaa;}
.item-page .image_left_border, .item-content .image_left_border, .blog .image_left_border {float:left; margin: 5px 15px 15px 0; padding: 3px; border: 1px solid #aaa;}
.item-page .image_left_border-no-float, .blog .image_left_border-no-float {float:none; margin: 0 15px 15px 0; padding: 3px; border: 1px solid #aaa;}

.item-page .image_centered_border, .blog .image_centered_border img {margin: 0 auto 30px auto; display: block; height: auto; width:auto; padding: 2px; border: 1px solid #aaa;}
.item-page p.center_image, .blog p.center_image {text-align:center; margin: 25px 0;}
.item-page p img.center_image, p.center_image img, .blog p img.center_image  {display:block; margin: 0 auto 10px auto; width:auto;}
.item-page p img.center_image_border, p.center_image_border img, .blog p img.center_image_border  {display:block; margin: 0 auto 10px auto; width:auto; border: 1px solid #aaa; padding: 2px;}
.bg-image {background: url(../images/content-bg.png) right bottom no-repeat;}




@media print { 
  html, body { margin: 0;  padding: 0; width: 100%;}
  body { background-color: White; color: Black; font-size: 12pt;}
  * { color: #000 !important; text-shadow: none !important; background: transparent !important; box-shadow: none !important; }
  a, a:visited { text-decoration: underline }
  pre, blockquote { border: 1px solid #999; page-break-inside: avoid; }
  thead { display: table-header-group }
  tr, img { page-break-inside: avoid }
  img { max-width: 100% !important }   
  .sidebar-left, .mod-breadcrumbs__wrapper, #back-top, .aux {display: none;}
  .site .customlogo span {height: auto; color: #000; text-indent: 2px; font-size: 40pt; font-weight: 400;}
 .features section h3 {text-align: left;}	
#mod-custom135, #mod-custom120, #mod-custom129 {display:  none;}
}



 